Bug 459812 - IPsec crash with MAC longer than 16 bytes
IPsec crash with MAC longer than 16 bytes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Neil Horman
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 11:42 EDT by Herbert Xu
Modified: 2009-01-20 15:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:18:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crypto: authenc - Avoid using clobbered request pointer (2.38 KB, patch)
2008-08-22 11:42 EDT, Herbert Xu
no flags Details | Diff
[CRYPTO] authenc: Fix async crypto crash in crypto_authenc_genicv() (2.71 KB, patch)
2008-09-16 14:35 EDT, Herbert Xu
no flags Details | Diff

  None (edit)
Description Herbert Xu 2008-08-22 11:42:53 EDT
Created attachment 314811 [details]
crypto: authenc - Avoid using clobbered request pointer

We need to add this change.
Comment 3 Herbert Xu 2008-09-16 14:35:14 EDT
Created attachment 316877 [details]
[CRYPTO] authenc: Fix async crypto crash in crypto_authenc_genicv()

We need to apply this patch first as the other one depends on this.
Comment 4 Neil Horman 2008-09-16 15:24:00 EDT
Looking at it herbert, I think I took a backported version of that change into what I posted to RHKL (since the origional patch had rejects).  Please review there and let me know with a thumbs up/down :)
Comment 5 Herbert Xu 2008-09-16 16:05:22 EDT
Hi Neil:

You mean <20080916175806.GF15236@hmsendeavour.rdu.redhat.com>? Please see my reply on the list.  Basically it should say something like

struct aead_request *areq = req->data;

instead of getting areq from greq.
Comment 6 RHEL Product and Program Management 2008-09-16 17:42:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2008-10-29 12:17:57 EDT
in kernel-2.6.18-121.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 10 errata-xmlrpc 2009-01-20 15:18:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.